<?php
/*
Plugin Name: Meta Tag Manager
Plugin URI: http://blog.netweblogic.com/php/wordpress-php/meta-tag-manager-wordpress-plugin/
Description: A simple plugin to manage meta tags that appear on all your pages. This can be used for verifiying google, yahoo, and more.
Author: NetWebLogic LLC
Version: 0.5
Author URI: http://blog.netweblogic.com
*/
/*
Copyright (C) 2008 NetWebLogic LLC

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
// Hook for adding admin menus
add_action('admin_menu', 'mtm_add_pages');

// action function for above hook
function mtm_add_pages() {
	$page = add_options_page('Meta Tag Manager', 'Meta Tag Manager', 8, 'mtmverification', 'mtm_options');
	add_action("admin_print_scripts-$page", 'mtm_list_scripts');
}

function mtm_list_scripts(  ) {
  wp_enqueue_script( "meta-tag-manager", path_join(WP_PLUGIN_URL, basename( dirname( __FILE__ ) )."/mtm_script.js"), array( 'jquery' ) );
}

function mtm_options() {
	add_option('mtm_data');
 	$mtm_data = array();
	
 	if( is_admin() and $_POST['mtm_submitted']==1 ){
	 	for($i=1 ; trim($_POST["mtm_{$i}_ref"])!='' ; $i++ ){
	 		if(trim($_POST["mtm_{$i}_name"]) != '' and trim($_POST["mtm_{$i}_content"]) != ''){
		 		$mtm_data[$_POST["mtm_{$i}_ref"]] = array($_POST["mtm_{$i}_name"], $_POST["mtm_{$i}_content"]);
	 		}
	 	}
	 	update_option('mtm_data', $mtm_data);
	 	?>
		<div class="updated"><p><strong><?php _e('Options saved.', 'mt_trans_domain' ); ?></strong></p></div>
		<?php
	}else{
		$mtm_data = get_option('mtm_data');	
	}
	?>
	<div class="wrap">
		<h2>Meta Tag Manager</h2>
		<p>Enter a reference name (something to help you remember the meta tag) and then enter the values that you want the meta tag to hold.</p>
		<form method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
			<table class="form-table">
				<thead>
					<tr valign="top">
						<td><strong>Reference Name</strong></td>
						<td><strong>Meta Tag</strong></td>
					</tr>
				</thead>
				<tbody id="mtm_body">
					<?php
					$count = 1;
					if( is_array($mtm_data) and count($mtm_data) > 0){
						foreach( $mtm_data as $name => $meta){
							?>
							<tr valign="top" id="mtm_<?= $count ?>">
								<td scope="row"><input type="text" name="mtm_<?= $count ?>_ref" value="<?= $name ?>" /> <a href="#" rel="<?= $count ?>">Remove</a></td>
								<td>&lt;meta name="<input type="text" name="mtm_<?= $count ?>_name" value="<?= $meta[0] ?>" />" content="<input type="text" name="mtm_<?= $count ?>_content" value="<?= $meta[1] ?>" />" /&gt;</td>
							</tr>
							<?php
							$count++;
						}
					}else{
						?>
						<tr valign="top" id="mtm_<?= $count ?>">
							<td scope="row"><input type="text" name="mtm_<?= $count ?>_ref" value="<?= $name ?>" /> <a href="#" rel="<?= $count ?>">Remove</a></td>
							<td>&lt;meta name="<input type="text" name="mtm_<?= $count ?>_name" value="<?= $meta[0] ?>" />" content="<input type="text" name="mtm_<?= $count ?>_content" value="<?= $meta[1] ?>" />" /&gt;</td>
						</tr>
						<?php
					}
					?>
				</tbody>
				<tfoot>
					<tr valign="top">
						<td colspan="3"><a href="#" id="mtm_add_tag">Add new tag</a></td>
					</tr>
				</tfoot>
			</table>

			<input type="hidden" name="mtm_submitted" value="1" />
			<p class="submit">
				<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
			</p>
		</form>
	</div>
	<?php
}

add_action('wp_head', 'mtm_head');


function mtm_head() {
	//If options form has been submitted, create a $_POST value that will be saved on databse
	$mtm_data = get_option('mtm_data');
	?>
		<!-- Meta Manager Start -->
	<?php
	if(is_array($mtm_data)){
		foreach( $mtm_data as $meta){
			?>
			<meta name="<?= $meta[0] ?>" content="<?= $meta[1] ?>" /><?php
		}
	}
	?>
		<!-- Meta Manager End -->
	<?php
}



?>
